> For the complete documentation index, see [llms.txt](https://docs.shippify.co/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shippify.co/developers/en/shippify-api/deliveries/get-a-tracking-link.md).

# Get a tracking link

This endpoint allows you to generate a secure tracking link with a unique token that matches the recipient's information.&#x20;

A secure tracking URL with a token is needed so that recipients are the only ones who can view the link on their devices.

## Get tracking link

> Get tracking link for a delivery.

```json
{"openapi":"3.0.0","info":{"title":"Shippify Api","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Development server"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"getToken":{"successfulResponse":{"type":"object","description":"Delivery information.","properties":{"token":{"type":"string","description":"Access token for the tracking link."},"url":{"type":"string","description":"Url with the tracking link."},"recipient":{"type":"object","description":"Information of the delivery recipient.","properties":{"name":{"type":"string","description":"Recipient's name."},"email":{"description":"Recipient's email.","type":"string"}}}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v1/deliveries/token/{id}":{"get":{"tags":["Deliveries"],"summary":"Get tracking link","description":"Get tracking link for a delivery.","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getToken/successfulResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"parameters":[{"name":"id","in":"path","description":"Identifier or reference Id of the delivery you want the link for.","required":true,"schema":{"type":"string"}}]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shippify.co/developers/en/shippify-api/deliveries/get-a-tracking-link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
